Skip to main content
POST
/
api
/
v1
/
voice
/
calls
curl -X POST https://api.247calldesk.com/api/v1/voice/calls \
  -H "Authorization: Bearer calldesk_abc123" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000" \
  -d '{
    "caller_id": "+14155550123",
    "destination": "+14155559876",
    "record": true,
    "metadata": { "patient_id": "P-12345" }
  }'
{
  "call_id": "call_cm1abc2def3gh4",
  "status": "queued",
  "caller_id": "+14155550123",
  "destination": "+14155559876",
  "created_at": "2026-04-15T18:30:22Z",
  "recording": { "enabled": true },
  "metadata": { "patient_id": "P-12345" },
  "links": {
    "self": "/api/v1/voice/calls/call_cm1abc2def3gh4",
    "status": "/api/v1/voice/calls/call_cm1abc2def3gh4/status",
    "recordings": "/api/v1/voice/calls/call_cm1abc2def3gh4/recordings"
  }
}
caller_id
string
required
The phone number to display as caller ID (E.164 format). Must be verified for your account.
destination
string
required
The phone number to call (E.164 format).
record
boolean
default:"false"
Enable dual-channel call recording.
voice_changer_uid
string
Voice effect profile ID. Options: male, female, or null.
metadata
object
Pass-through key/value pairs stored with the call. Maximum 10 keys.
Idempotency-Key
string
UUID to prevent duplicate calls on retry.
curl -X POST https://api.247calldesk.com/api/v1/voice/calls \
  -H "Authorization: Bearer calldesk_abc123" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000" \
  -d '{
    "caller_id": "+14155550123",
    "destination": "+14155559876",
    "record": true,
    "metadata": { "patient_id": "P-12345" }
  }'
{
  "call_id": "call_cm1abc2def3gh4",
  "status": "queued",
  "caller_id": "+14155550123",
  "destination": "+14155559876",
  "created_at": "2026-04-15T18:30:22Z",
  "recording": { "enabled": true },
  "metadata": { "patient_id": "P-12345" },
  "links": {
    "self": "/api/v1/voice/calls/call_cm1abc2def3gh4",
    "status": "/api/v1/voice/calls/call_cm1abc2def3gh4/status",
    "recordings": "/api/v1/voice/calls/call_cm1abc2def3gh4/recordings"
  }
}